Package org.apache.nutch.service.impl

## Class JobWorker

- java.lang.Object
- - org.apache.nutch.service.impl.JobWorker

- All Implemented Interfaces:
    `Runnable`

      public class JobWorker
      extends Object
      implements Runnable

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JobWorker​(JobConfig jobConfig, Configuration conf, NutchTool tool)` | To initialize JobWorker thread with the Job Configurations provided by user.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `JobInfo` | `getInfo()` |
    `boolean` | `killJob()` |
    `void` | `run()` |
    `void` | `setInfo​(JobInfo jobInfo)` |
    `boolean` | `stopJob()` | To stop the executing job

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JobWorker

          public JobWorker​(JobConfig jobConfig,
                           Configuration conf,
                           NutchTool tool)

      To initialize JobWorker thread with the Job Configurations provided by user.
      Parameters:
        `jobConfig` - job-specific `JobConfig`
        `conf` - a populated `Configuration`
        `tool` - {!`NutchTool` to run return JobWorker

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`

    - #### getInfo

          public JobInfo getInfo()

    - #### stopJob

          public boolean stopJob()

      To stop the executing job
      Returns:
        boolean true/false

    - #### killJob

          public boolean killJob()

    - #### setInfo

          public void setInfo​(JobInfo jobInfo)